﻿
@{
    ViewData["Title"] = "ValidationFestivalier";
    ICollection<APIFestival.Models.Billet> ListeBillets = (ICollection<APIFestival.Models.Billet>)ViewData["Billet"];
    ICollection<APIFestival.Models.Festivalier> ListeFestivaliers = (ICollection<APIFestival.Models.Festivalier>)ViewData["Festivalier"];
}

<h1>ValidationFestivalier</h1>


    <table>


        <tr>
            <th>Date </th>
            <th>Début de votre formule</th>
            <th>Fin de votre formule</th>
            <th>Nom du festivalier</th>
            <th>Adresse mail du festivalier</th>


        </tr>

        @foreach (APIFestival.Models.Billet billet in ListeBillets)
        {
            

            @foreach (APIFestival.Models.Festivalier festivalier in ListeFestivaliers)
            {

                if (festivalier.Id == billet.IdFestivalier)
                {

                    <tr>
                        <td>@billet.DateAchat</td>
                        <td>@billet.DebutFormule</td>
                        <td>@billet.FinFormule</td>
                        <td>@festivalier.Nom</td>
                        <td>@festivalier.AdresseMail</td>
                        <td>
                            <a asp-controller="EspaceOrganisateur" asp-action="ValiderFestivalier"  asp-route-id="@billet.Id"  class="btn btn-outline-primary">Valider </a>

                            <a asp-controller="EspaceOrganisateur" asp-action="RefuserFestivalier"  asp-route-id="@billet.Id" class="btn btn-outline-danger">Refuser</a>
                            
                            
                        </td>


                    </tr>
                }
            }
        }

    </table>



